Issue #329 resolved

setuptools.tests.test_dist_info.TestDistInfo.test_distinfo() and setuptools.tests.test_dist_info.TestDistInfo.test_conditional_dependencies() fail with Jython

Arfrever Frehtes Taifersar Arahesis
created an issue

setuptools.tests.test_dist_info.TestDistInfo.test_distinfo() and setuptools.tests.test_dist_info.TestDistInfo.test_conditional_dependencies() fail with Jython:

======================================================================
ERROR: test_distinfo (setuptools.tests.test_dist_info.TestDistInfo)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/distribute-0.6.30/setuptools/tests/test_dist_info.py", line 35, in test_distinfo
    assert unversioned.version == '0.3' # from METADATA
  File "/tmp/distribute-0.6.30/pkg_resources.py", line 2216, in version
    raise ValueError(
ValueError: ("Missing 'Version:' header and/or METADATA file", UnversionedDistribution [unknown version] (/tmp/tmpwz_DI1))

======================================================================
FAIL: test_conditional_dependencies (setuptools.tests.test_dist_info.TestDistInfo)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/distribute-0.6.30/setuptools/tests/test_dist_info.py", line 44, in test_conditional_dependencies
    self.assertEqual(d.requires(), requires[:1])
AssertionError: Lists differ: [] != [Requirement.parse('splort==4'...

Second list contains 1 additional elements.
First extra element 0:
splort==4

- []
+ [Requirement.parse('splort==4')]

----------------------------------------------------------------------